Bug 206179 - xen guest panic after install reboot
xen guest panic after install reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 13:41 EDT by Warren Togami
Modified: 2009-12-14 15:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-09-12 13:41:19 EDT
kernel-xen-2.6.17-1.2630.fc6
rawhide-20060912 xenguest-install text-mode
When I hit "Reboot" at the end of a successful install, kernel panic.  It
subsequently booted fine though.

sending termination signals...done                                             
Unable to handle kernel paging request at 0000000321294af0 RIP: 
 [<ffffffff80284de0>] task_rq_lock+0x2b/0x71
PGD 2f247067 PUD 0 
Oops: 0000 [1] SMP 
last sysfs file: /block/xvda/xvda1/dev
CPU 0 
Modules linked in: dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror
dm_zero dm_mod xfs jfs reiserfs lock_nolock gfs2 ext3 jbd msdos raid456 xor
raid1 raid0 xenblk xennet iscsi_tcp libiscsi scsi_transport_iscsi sr_mod sd_mod
scsi_mod ide_cd cdrom ipv6 squashfs pcspkr loop nfs nfs_acl fscache lockd sunrpc
vfat fat cramfs
Pid: 1, comm: init Not tainted 2.6.17-1.2630.fc6xen #1
RIP: e030:[<ffffffff80284de0>]  [<ffffffff80284de0>] task_rq_lock+0x2b/0x71
RSP: e02b:ffff880001fc1da8  EFLAGS: 00010086
RAX: 0000000074181416 RBX: ffffffff806c3460 RCX: 0000000000000008
RDX: ffffffffff578000 RSI: ffff880001fc1df8 RDI: ffff88002f254040
RBP: ffff880001fc1dc8 R08: 0000000000000009 R09: 0000000000000000
R10: 0000000000000004 R11: ffffffffff578000 R12: ffffffff806c3460
R13: ffff880001fc1df8 R14: ffff88002f254040 R15: 0000000000000000
FS:  00002aaaabbec120(0063) GS:ffffffff8064e000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000
Process init (pid: 1, threadinfo ffff880001fc0000, task ffff8800000377e0)
Stack:  000000000000000d  ffff88002f254040  0000000000000008  0000000000000008 
 ffff880001fc1e28  ffffffff80246589  0000000000000000  0000000000000008 
 0000000000000000  ffffffff8030a1b0 
Call Trace:
 [<ffffffff80246589>] try_to_wake_up+0x24/0x376
 [<ffffffff8030a1b0>] avc_has_perm+0x43/0x55
 [<ffffffff80291bd4>] signal_wake_up+0x1e/0x2d
 [<ffffffff80291d91>] __group_complete_signal+0x1ae/0x283
 [<ffffffff80291eef>] __group_send_sig_info+0x89/0x94
 [<ffffffff8025adab>] group_send_sig_info+0x48/0x6f
 [<ffffffff8023b478>] tty_ldisc_deref+0x68/0x7b
 [<ffffffff8024bfe2>] sys_kill+0xbe/0x127
 [<ffffffff802167d9>] vfs_write+0x13f/0x174
 [<ffffffff80216f66>] sys_write+0x45/0x6e
 [<ffffffff8025d816>] system_call+0x86/0x8b
 [<ffffffff8025d790>] system_call+0x0/0x8b


Code: 48 8b 04 c5 40 aa 68 80 4c 03 60 08 4c 89 e7 e8 a8 d2 fd ff 
RIP  [<ffffffff80284de0>] task_rq_lock+0x2b/0x71
 RSP <ffff880001fc1da8>
CR2: 0000000321294af0
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1

Call Trace:
 [<ffffffff8029b1fa>] down_read+0x15/0x23
 [<ffffffff80293852>] blocking_notifier_call_chain+0x13/0x36
 [<ffffffff802152e0>] do_exit+0x1f/0x8a3
 [<ffffffff80264c32>] do_page_fault+0x1136/0x11e2
 [<ffffffff8020ac9c>] kmem_cache_alloc+0x73/0x7e
 [<ffffffff80309112>] avc_alloc_node+0x3a/0x193
 [<ffffffff8025df37>] error_exit+0x0/0x6e
 [<ffffffff80284de0>] task_rq_lock+0x2b/0x71
 [<ffffffff80284dcb>] task_rq_lock+0x16/0x71
 [<ffffffff80246589>] try_to_wake_up+0x24/0x376
 [<ffffffff8030a1b0>] avc_has_perm+0x43/0x55
 [<ffffffff80291bd4>] signal_wake_up+0x1e/0x2d
 [<ffffffff80291d91>] __group_complete_signal+0x1ae/0x283
 [<ffffffff80291eef>] __group_send_sig_info+0x89/0x94
 [<ffffffff8025adab>] group_send_sig_info+0x48/0x6f
 [<ffffffff8023b478>] tty_ldisc_deref+0x68/0x7b
 [<ffffffff8024bfe2>] sys_kill+0xbe/0x127
 [<ffffffff802167d9>] vfs_write+0x13f/0x174
 [<ffffffff80216f66>] sys_write+0x45/0x6e
 [<ffffffff8025d816>] system_call+0x86/0x8b
 [<ffffffff8025d790>] system_call+0x0/0x8b

Kernel panic - not syncing: Attempted to kill init!
 libvir: Xen Daemon error : GET operation failed: No such domain test2
Guest installation complete... restarting guest.
libvir: Xen Daemon error : GET operation failed: No such domain test2
Bootdata ok (command line is  ro root=LABEL=/1 console=xvc0)
Linux version 2.6.17-1.2630.fc6xen (brewbuilder@hs20-bc1-7.build.redhat.com)
(gcc version 4.1.1 20060828 (Red Hat 4.1.1-20)) #1 SMP Wed Sep 6 16:40:06 EDT 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000030800000 (usable)
No mptable found.
Built 1 zonelists.  Total pages: 198656
Kernel command line:  ro root=LABEL=/1 console=xvc0
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Xen reported: 1596.477 MHz processor.
Console: colour dummy device 80x25
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
Software IO TLB disabled
Memory: 761080k/794624k available (2348k kernel code, 24680k reserved, 1344k
data, 172k init)
Calibrating delay using timer specific routine.. 3992.86 BogoMIPS (lpj=7985720)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
(SMP-)alternatives turned off
Brought up 1 CPUs
checking if image is initramfs... it is
Grant table initialized
NET: Registered protocol family 16
Brought up 1 CPUs
PCI: setting up Xen PCI frontend stub
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
xen_mem: Initialising balloon driver.
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: System does not support PCI
PCI: System does not support PCI
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 131072 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 9, 2097152 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
audit: initializing netlink socket (disabled)
audit(1158064293.036:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 880793BEAE9CD1B3
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
rtc: IRQ 8 is not free.
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Xen virtual console successfully installed as xvc0
Bootdata ok (command line is  ro root=LABEL=/1 console=xvc0)
Linux version 2.6.17-1.2630.fc6xen (brewbuilder@hs20-bc1-7.build.redhat.com)
(gcc version 4.1.1 20060828 (Red Hat 4.1.1-20)) #1 SMP Wed Sep 6 16:40:06 EDT 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000030800000 (usable)
No mptable found.
Built 1 zonelists.  Total pages: 198656
Kernel command line:  ro root=LABEL=/1 console=xvc0
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Xen reported: 1596.477 MHz processor.
Console: colour dummy device 80x25
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
Software IO TLB disabled
Memory: 761080k/794624k available (2348k kernel code, 24680k reserved, 1344k
data, 172k init)
Calibrating delay using timer specific routine.. 3992.86 BogoMIPS (lpj=7985720)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
(SMP-)alternatives turned off
Brought up 1 CPUs
checking if image is initramfs... it is
Grant table initialized
NET: Registered protocol family 16
Brought up 1 CPUs
PCI: setting up Xen PCI frontend stub
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
xen_mem: Initialising balloon driver.
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: System does not support PCI
PCI: System does not support PCI
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 131072 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 9, 2097152 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
audit: initializing netlink socket (disabled)
audit(1158064293.036:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 880793BEAE9CD1B3
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
rtc: IRQ 8 is not free.
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Xen virtual console successfully installed as xvc0
Event-channel device installed.
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 50MHz system bus speed for PIO modes; override with idebus=xx
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
XENBUS: Device with no driver: device/vbd/51712
XENBUS: Device with no driver: device/vif/0
Write protecting the kernel read-only data: 449k
Red Hat nash version 5.1.15 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
Loading ehci-hcd.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading xenblk.ko module
Registering block device major 202
 xvda: xvda1 xvda2
Creating root device.
Mounting root filesystem.
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
Setting up other filesystems.
Setting up new root fs
no fstab.sys, mounting internal defaults
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
audit(1158064316.930:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  3 users, 6 roles, 1532 types, 159 bools, 1 sens, 256 cats
security:  58 classes, 47255 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev xvda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), not configured for labeling
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1158064317.090:3): policy loaded auid=4294967295
INIT: version 2.86 booting
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
                Welcome to Fedora Core
                Press 'I' to enter interactive startup.
Cannot access the Hardware Clock via any known method.
Use the --debug option to see the details of our search for an access method.
Setting clock  (utc): Tue Sep 12 05:31:59 MST 2006 [  OK  ]
Starting udev: [  OK  ]
Setting hostname test2.fedora.phx.redhat.com:  [  OK  ]
No devices found
Setting up Logical Volume Management:   No volume groups found
[  OK  ]
Checking filesystems
Checking all file systems.
[/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a /dev/xvda1 
/1: clean, 35864/2113280 files, 341090/2112539 blocks
[  OK  ]
Remounting root filesystem in read-write mode:  [  OK  ]
Comment 1 Red Hat Bugzilla 2007-07-24 21:33:24 EDT
change QA contact
Comment 2 Chris Lalancette 2008-02-26 18:21:00 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.